DLL load failed: A dynamic link library (DLL) initialization routine failedJiteshGaikwad

installation
(Shanushawan) #1

i am trying to import tensorflow in core trainer file with following configuration of system but got an unexpected error:

os - windows server 2019 processor - intel xeon tensorflow version - 1.12.0 python - 3.6

Error:

Traceback (most recent call last): File “C:\Program Files\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 58, in from tensorflow.python.pywrap_tensorflow_internal import * File “C:\Program Files\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”, line 28, in _pywrap_tensorflow_internal = swig_import_helper() File “C:\Program Files\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”, line 24, in swig_import_helper _mod = imp.load_module(’_pywrap_tensorflow_internal’, fp, pathname, description) File “C:\Program Files\Python36\lib\imp.py”, line 242, in load_module return load_dynamic(name, filename, file) File “C:\Program Files\Python36\lib\imp.py”, line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “dialogue_management_model.py”, line 8, in from rasa_core.agent import Agent File “C:\Program Files\Python36\lib\site-packages\rasa_core\agent.py”, line 24, in from rasa_core.policies import Policy, FormPolicy File “C:\Program Files\Python36\lib\site-packages\rasa_core\policies_init_.py”, line 4, in from rasa_core.policies.keras_policy import KerasPolicy File “C:\Program Files\Python36\lib\site-packages\rasa_core\policies\keras_policy.py”, line 5, in import tensorflow as tf File “C:\Program Files\Python36\lib\site-packages\tensorflow_init_.py”, line 24, in from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import File “C:\Program Files\Python36\lib\site-packages\tensorflow\python_init_.py”, line 49, in from tensorflow.python import pywrap_tensorflow File “C:\Program Files\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 74, in raise ImportError(msg) ImportError: Traceback (most recent call last): File “C:\Program Files\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 58, in from tensorflow.python.pywrap_tensorflow_internal import * File “C:\Program Files\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”, line 28, in _pywrap_tensorflow_internal = swig_import_helper() File “C:\Program Files\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”, line 24, in swig_import_helper _mod = imp.load_module(’_pywrap_tensorflow_internal’, fp, pathname, description) File “C:\Program Files\Python36\lib\imp.py”, line 242, in load_module return load_dynamic(name, filename, file) File “C:\Program Files\Python36\lib\imp.py”, line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

Failed to load the native TensorFlow runtime.

please can you help on this @JiteshGaikwad